#
# spec file for package cf-cli
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global provider        code.cloudfoundry
%global provider_tld    org
%global project         ""
%global repo            cli
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}

Name:           cf-cli
Version:		6.34.1
Release:        lp150.1.3
License:        Apache-2.0
Summary:        Cloud Foundry command line client
Url:            https://github.com/cloudfoundry/cli
Group:          System/Management
Source:         v%{version}.tar.gz
Source1:        README
Source2:        cf-cli-rpmlintrc
BuildRequires:  go >= 1.8.3
BuildRequires:  golang-packaging
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%{go_nostrip}
%{go_provides}

%description
This is the official command line client for Cloud Foundry.

%prep
%setup -q -c -n %{name}-%{version}
mv */* ./
cp %{SOURCE1} ./

%build
# show correct version instead of 0.0.0
grep -rl "0.0.0-unknown-version" ./ | xargs sed -i 's/0.0.0-unknown-version/%{version}/g'
%goprep %{import_path}
%gobuild

%check
echo 'Test if cf can be executed'
../go/bin/cli --version

%install
cp ../go/bin/cli %{buildroot}/%{_bindir}/cf
install -m 755 -d %{buildroot}/%{_sysconfdir}/bash_completion.d
cp ci/installers/completion/cf %{buildroot}/%{_sysconfdir}/bash_completion.d/cf.sh

%files
%defattr(-,root,root,-)
%{_bindir}/cf
%config %{_sysconfdir}/bash_completion.d/cf.sh
%doc LICENSE NOTICE README

%changelog
* Tue Feb  6 2018 thardeck@suse.com
- add rpmlintrc file to spec
- remove source url to prevent issues with the Concourse
  github-release resource
* Tue Feb  6 2018 aosthof@suse.de
- Include in SLE 15 CAP Module (fate#324528)
* Thu Jan 18 2018 thardeck@suse.com
- update to version 6.34.1
* Wed Jan 10 2018 thardeck@suse.com
- update to version 6.34.0
* Fri Dec 15 2017 thardeck@suse.com
- update to version 6.33.1
* Mon Dec 11 2017 thardeck@suse.com
- remove obsolete go-bindata statement (fixes segmentation fault)
- add simple check to verify that cf does not segfault
* Tue Nov 21 2017 thardeck@suse.com
- update to version 6.33.0
* Thu Oct 12 2017 thardeck@suse.com
- update to version 6.32.0
* Thu Oct 12 2017 thardeck@suse.com
- run go-bindata to create the in newer tarballs  missing resource file
  (borrowed from bin/generate-language-resources to work without internet)
* Fri Sep 15 2017 thardeck@suse.com
- update to version 6.31.0
* Fri Sep  1 2017 thardeck@suse.com
- update to version 6.30.0
* Fri Aug 25 2017 thardeck@suse.com
- update to version 6.29.2
* Thu Aug 17 2017 thardeck@suse.com
- update to version 6.29.1
* Tue Jul 25 2017 thardeck@suse.com
- update to version 6.29.0
* Thu Jun 29 2017 thardeck@suse.com
- update to version 6.28.0
* Thu Jun 29 2017 thardeck@suse.com
- CHANGELOG.md was removed updstream
* Fri Jun  9 2017 thardeck@suse.com
- update to version 6.27.0
* Fri Jun  9 2017 thardeck@suse.com
- require go >= 1.8.3 during build time which is necessary from version 6.27.0 on
* Fri Apr  7 2017 thardeck@suse.com
- update to version 6.26.0
* Thu Apr  6 2017 thardeck@suse.com
- adapt spec file to handle tarballs downloaded by concourse
* Wed Mar 22 2017 thardeck@suse.com
- revert some spec changes to fix Tumbleweed building
* Tue Mar 21 2017 thardeck@suse.com
- clean up spec file
* Tue Mar 21 2017 thardeck@suse.com
- install and enable bash completion
* Fri Mar  3 2017 thardeck@suse.com
- update to version 6.25.0
- adapt spec to go packaging changes
- provide full url as source path
* Sat Feb 11 2017 svollath@suse.de
- update to version 6.24.0
* Tue Jan 17 2017 thardeck@suse.com
- update to version 6.23.1
- clean up doc file packaging
- remove disabled checks and macros
* Tue Dec 20 2016 svollath@suse.de
- renamed source tarball to real name (v6.22.2.tar.gz)
* Mon Dec  5 2016 svollath@suse.de
- change cf version string with patch instead of script in specfile
* Fri Oct 28 2016 svollath@suse.de
- update to version 6.22.2+61ce394
- fix cf command to return correct version string
- replace upstream README.md with local README
* Wed Oct 26 2016 svollath@suse.de
- initial package for version 6.22.1+6b7af9c
